Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000618Core InformSource text and punctuationpublic2011-03-19 22:092014-05-07 07:33
ReporterDavidC 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000618: Missing Punctuation after Use definition should produce error
DescriptionWhen you have more than one Use definitions and forget to punctuate the statements, the second Use statement is ignored (not compiled), causing erroneous downstream errors.
Minimal Source Text To Reproduce
"Use Non Error Error" by David Cornelson

Use My First Thing translates as (- Constant FOO; -)
Use My Second Thing translates as (- Constant BAR; -)

When play begins:
	if My First Thing option is active, say "FOO.";
	if My First Thing option is not active, say "NO FOO.";
[	if My Second Thing option is active, say "BAR!";
	if My Second Thing option is not active, say "NO BAR!";]
	
The Error Room is a room. "This is the non error error room."

[

I suggest this should cause an error. The second "Use" statement is not compiled, but no error 
is given to tell the author is what has happened.

By adding punctuation to the statements:

Use My First Thing translates as (- Constant FOO; -).
Use My Second Thing translates as (- Constant BAR; -).

...the code will funtion properly.

]
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0002541)
graham (administrator)
2014-03-09 10:55

There's now a problem message.

- Issue History
Date Modified Username Field Change
2011-03-19 22:09 DavidC New Issue
2011-03-21 12:48 EmacsUser Priority low => normal
2011-03-21 12:48 EmacsUser Status new => confirmed
2011-03-21 12:48 EmacsUser Steps to Reproduce Updated View Revisions
2014-03-09 10:55 graham Note Added: 0002541
2014-03-09 10:55 graham Status confirmed => resolved
2014-03-09 10:55 graham Resolution open => fixed
2014-03-09 10:55 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker